{% extends 'base.html.twig' %}

{% block javascript %}
    <script src="https://js.stripe.com/v3/"></script>
{% endblock %}


{% block title %}Paiement de ma commande - La Boutique Française{% endblock %}

{% block content %}
    <h2>Mon récapitulatif</h2>
    <p>Vérifiez vos informations avant de payer votre commande.</p>
    <hr>
    <div class="row">
        <div class="col-md-6">
            <strong>Mon adresse de livraison</strong><br/>
            <div class="form-check mt-4">
                {{ delivery|raw }}
            </div>
            <hr>
            <strong>Mon transporteur</strong><br/>
            <div class="form-check">
                {{ carrier.name }}<br/>
                {{ carrier.description }}<br/>
                {{ (carrier.price / 100)|number_format(2, ',', '.') }} €
            </div>
        </div>
        <div class="col-md-6">
            <div class="text-center">
                <b>Récap de ma commande</b><br/>
                <p>Retrouvez le récapitulatif de vos produits.</p>
            </div>
            <div class="order-summary">
                {% set total = null %}
                {% for key,product in cart %}
                    <div class="row {% if key > 0 %}mt-2{% endif %}">
                        <div class="col-2">
                            <img src="{{ asset('uploads/' ~ product.product.illustration) }}"
                                 alt="{{ product.product.name }}" height="75px">
                        </div>
                        <div class="col-8 my-auto">
                            {{ product.product.name }}<br/>
                            <small>
                                {{ product.product.subtitle }}
                                <br/>
                                x {{ product.quantity }}
                            </small>
                        </div>
                        <div class="col-2 my-auto">
                            {{ ((product.product.price * product.quantity ) / 100)|number_format(2, ',', '.') }} €
                        </div>
                    </div>
                    {% set total = total + (product.product.price * product.quantity) %}
                {% endfor %}
            </div>
            <hr>
            <strong>Sous-Total : </strong> {{ (total / 100)|number_format(2, ',', '.') }} €<br/>
            <strong>Livraison : </strong> {{ (carrier.price/100)|number_format(2, ',', '.') }} €
            <hr>
            <strong>Total : </strong> {{ ((total / 100) + (carrier.price / 100))|number_format(2, ',', '.') }} €

            <a class="btn btn-success btn-block mt-3" id="checkout-button">Payer
                | {{ ((total / 100) + (carrier.price/100))|number_format(2, ',', '.') }} €</a>
        </div>
    </div>
{% endblock %}

{% block script %}
    <script type="text/javascript">
        var stripe = Stripe("pk_test_51Ht9nvFfxkc1a7dWTY3jJyT3sAoP39WcNHHA8UzWrB3b26GW33FMKSNx8L4FY5E4zgdAwnAOQwPryaGrFumB1ga400KgoLt3VO");
        var checkoutButton = document.getElementById("checkout-button");
        checkoutButton.addEventListener("click", function () {
            fetch("/commande/create-session/{{ reference }}", {
                method: "POST",
            })
                .then(function (response) {
                    return response.json();
                })
                .then(function (session) {
                    if (session.error === "order"){
                        window.location.replace('{{ path('order') }}');
                    }
                    else {
                        return stripe.redirectToCheckout({sessionId: session.id});
                    }
                })
                .then(function (result) {
                    // If redirectToCheckout fails due to a browser or network
                    // error, you should display the localized error message to your
                    // customer using error.message.
                    if (result.error) {
                        alert(result.error.message);
                    }
                })
                .catch(function (error) {
                    console.error("Error:", error);
                });
        });
    </script>
{% endblock %}
